Debian Bug report logs - #234230
xerces23: minimal patch to install config.status in -dev package

Package: xerces23; Maintainer for xerces23 is (unknown);

Reported by: Jay Berkenbilt <ejb@ql.org>

Date: Sun, 22 Feb 2004 17:48:01 UTC

Severity: important

Tags: fixed, patch

Done: Jay Berkenbilt <ejb@ql.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#234230; Package xerces23. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
New Bug report received and forwarded. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xerces23: minimal patch to install config.status in -dev package
Date: Sun, 22 Feb 2004 12:39:56 -0500
[Message part 1 (text/plain, inline)]
Package: xerces23
Severity: important
Tags: patch

(This bug report supersedes #232474.)

In order to build libxml-xerces-perl 2.3.0, which I am currently
packaging, the config.status file from building libxml-xerces-perl is
required.  Based on the filesystem hierarchy standard and observations
of what other packages do, I believe that the correct directory for
this file would be /usr/lib/libxerces23.  The config.status file is
architecture-dependent because it includes the results of running
configure.  The file therefore has to go in /usr/lib rather than
/usr/share.  libxerces23 is the name of the primary binary package.
Although libxerces23-dev is presently packaged in a way that makes
simultaneous installation of multiple versions impossible, the
directory name libxerces23, rather than libxerces-c, at least doesn't
contribute to this issue.

The attached patch is a minimal patch, suitable for an NMU, that fixes
only this issue and upgrades the release version from 1 to 2.  It does
not fix the lintian warning about an executable header file or any of
the open bugs against this package.

To use this patch to create 2.3.0-2 versions of all the packages,
perform the following steps in an empty directory:

apt-get source xerces23
patch -s -p0 < xerces23-config_status.diff
cd xerces23-2.3.0
fakeroot dpkg-buildpackage

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.24-q-xfs
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8

[xerces23-config_status.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#234230; Package xerces23. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #10 received at 234230@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: 234230@bugs.debian.org
Cc: "Marc 'HE' Brockschmidt" <marc@marcbrockschmidt.de>
Subject: revised patch
Date: Wed, 17 Mar 2004 16:58:55 -0500
[Message part 1 (text/plain, inline)]
"Marc 'HE' Brockschmidt" <marc@marcbrockschmidt.de> was kind enough to
look over my patch and point out a few issues:

 * I had not used the correct version numbering convention for an NMU
   and

 * I had neglected to start the changelog entry with " *
   Non-maintainer upload"

 * I used two changelog entries where one would have sufficed.
   (Although this point is stylistic, I agree with Marc's
   comments and have changed it as he suggested.)

I also reviewed the developer's reference on NMUs and, since the
archiving system automatically tags bugs "fixed" instead of closing
them with a Closes line in the changelog, I have also added the text
required to mark this bug fixed should this NMU be performed.

Here is the revised patch.
[xerces23-config_status.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ivo Timmermans <ivo@debian.org>:
Bug#234230; Package xerces23. Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Ivo Timmermans <ivo@debian.org>. Full text and rfc822 format available.

Message #15 received at 234230@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: 234230@bugs.debian.org
Cc: "Marc 'HE' Brockschmidt" <marc@marcbrockschmidt.de>
Subject: revised revised patch
Date: Wed, 17 Mar 2004 17:10:34 -0500
[Message part 1 (text/plain, inline)]
Here's a new version of the patch that has a valid date in the
changelog.  Serves me right for just editing the date instead of
re-inserting it properly.  So many email messages for such a simple
change.  Oh well.
[xerces23-config_status.diff (text/plain, attachment)]

Tags added: fixed Request was from Jay Berkenbilt <ejb@ql.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Jay Berkenbilt <ejb@ql.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jay Berkenbilt <ejb@ql.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jay Berkenbilt <ejb@ql.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 234230-done@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: 234230-done@bugs.debian.org, 232474-done@bugs.debian.org
Subject: fixed in 2.3.0-2
Date: Wed, 5 May 2004 17:25:38 -0400
This is fixed in 2.3.0-2.  The upload was interpreted as an NMU, but
the maintainer field is now correct, so these bugs are being closed
manually.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:27:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.